Bug 226002 - Merge Review: libevent
Merge Review: libevent
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: libevent (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:21 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:21:03 EST
Fedora Merge Review: libevent

http://cvs.fedora.redhat.com/viewcvs/devel/libevent/
Initial Owner: steved@redhat.com
Comment 1 Jima 2007-02-09 10:31:39 EST
Starting review...
Comment 2 Jima 2007-02-09 11:28:17 EST
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
6cc776458ecaf9247550863702a44d7c  libevent-1.1a.tar.gz
6cc776458ecaf9247550863702a44d7c  libevent-1.1a.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
See below - Should have dist tag
See below - Should package latest version
1 bug - check for outstanding bugs on package.

Issues:

1. rpmlint says:

W: libevent incoherent-version-in-changelog control 1.1a-3.2.1

I'd recommend fixing the broken changelog entry from Jesse Keating's
bump-n-build script.  (Seconded by Jesse.)

2. Dist tag

Appending "%{?dist}" to the Release field is recommended.  Not a
blocker, but it'd be nice.

3. Not latest version

Upstream web site indicates 1.2a is the latest version (released
2006-12-02).  Please evaluate as to whether upgrading might be for the
best.

4. Bugs open:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=204990


If you can address the above, I don't see any reason why libevent can't
be approved for merging.
Comment 3 Steve Dickson 2007-02-09 18:54:25 EST
I plan on updated to the latest upstream version...
Comment 4 Steve Dickson 2007-03-09 10:38:55 EST
> I'd recommend fixing the broken changelog entry from Jesse Keating's
> bump-n-build script
Done.

> 2. Dist tag
Done 

> 3. Not latest version
Done

> 4. Bugs open
Fixed.

See libevent-1.3b-1.fc7

Comment 5 Jima 2007-03-09 11:03:17 EST
Err, where?  I'm still seeing 1.2a-1 in CVS.  (Granted, I've been gone for two
weeks, and am still working on catching up on mail -- are we working out of
someplace new?)
Comment 6 Steve Dickson 2007-03-09 13:11:36 EST
hmm.. I seem to be getting the correct code...
$ cvs co rpms/libevent/devel
cvs checkout: Updating rpms/libevent/devel
U rpms/libevent/devel/.cvsignore
U rpms/libevent/devel/Makefile
U rpms/libevent/devel/libevent-1.3b-longer-polltime.patch
U rpms/libevent/devel/libevent.spec
U rpms/libevent/devel/sources
Comment 7 Jima 2007-03-09 13:23:42 EST
For the benefit of any outside parties reading this, the changes hadn't been
synched to the external CVS server.  Now that they have...

Looks like you addressed all of my qualms with the package, so I think libevent
is APPROVED for merging.  Thanks!

(Okay, technically we probably still need to verify/close BZ#204990, but you
addressed it, which is what I asked.)
Comment 9 Cole Robinson 2015-02-11 15:37:33 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 10 Jan Kurik 2015-07-15 11:25:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 11 Fedora End Of Life 2016-11-24 05:19:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.